Main Page Class Hierarchy Compound List File List Compound Members

# GDS_driver_out Class Reference

Output driver for GDSII files. More...

`#include <gdsdrout.h>`

Inheritance diagram for GDS_driver_out:

List of all members.

## Public Methods
| GDS_driver_out (const wxString &filename, bool only_visible=false)
| constructor
| ~GDS_driver_out ()
| destructor
bool | bad ()
| was the file opened correctly
void | Write (Box *_Box)
| overloaded function from class Driver_out
void | Write (Circle *_Circle)
void | Write (ArrayReference *)
void | Write (Boundary *)
void | Write (Path *)
void | Write (Arcseg *)
void | Write (StructureReference *)
void | Write (Text *)
## Protected Methods
void | WriteHeader (TWO_G_BYTE_UNSIGNED_INTEGER, G_BYTE, G_BYTE)
| write HEADER for GDSII records
void | WriteString (const wxString &)
| write string data for specific records
## Protected Attributes
wxString | GDS_filename
| output file name
Gdsio | GDS_file
| output file handle
TWO_G_BYTE_UNSIGNED_INTEGER | _recordsize
| record size to write
G_BYTE | _recordtype
| record type to write
G_BYTE | _datatype
| data type to write for the record
int | _mapping_out [1000]
| mapping to internal layers GDSII layers
double | _userunits_out
| to scale to four byte integer if needed, this is the maximum for GDSII coordinates
double | _physunits_out
| to scale to four byte integer if needed, this is the maximum for GDSII coordinates
double | _scale_out
| to scale to four byte integer if needed, this is the maximum for GDSII coordinates

## Detailed Description

Output driver for GDSII files.

Every object in the internal database is written in records in the GDSII file Info on the different record types that are written can be found in the GDSII format manual All basic data types for the GDSII records are written using a specialized file stream. overloaded function from class Driver_out write the internal objects in GDSII specific form

See also:
  Gdsio

## Constructor & Destructor Documentation

GDS_driver_out::GDS_driver_out | ( | const wxString & | filename,
|  | bool | only_visible = false
| ) |

  | constructor Parameters:
  filename: | name of GDSII output file
  only_visible: | write only visible layers

The documentation for this class was generated from the following file:

- gdsdrout.h

GDS_driver_out class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page